CREATE TABLE ad_tablespaces (
    TABLESPACE_TYPE        VARCHAR2(120)    NOT NULL,
    TABLESPACE             VARCHAR2(120)    NOT NULL,
    CUSTOM_FLAG            VARCHAR2(12) ,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    ORA_EDITION_CONTEXT    VARCHAR2(120)    NOT NULL,
    TABLESPACE_TYPE        VARCHAR2(120)    NOT NULL,
    TABLESPACE             VARCHAR2(120)    NOT NULL,
    CUSTOM_FLAG            VARCHAR2(12) ,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    ORA_EDITION_CONTEXT    VARCHAR2(120)    NOT NULL
);
